package Server;
import java.net.InetAddress;
import java.net.Socket;


/**
 * A simple sanity tester for the database
 */
public class DatabaseTest {
	static public void main(String[] argv) {
		//Socket socket = new Socket();
		Socket socket = null;
		InetAddress ad1 = socket.getLocalAddress();
		User u1 = new User(ad1, "user1");
		User u2 = new User(ad1, "user2");
		
		Session s0 = new Session("session0", "Non-existent service");
		/**
		 * Basic sanity: 1 session, 2 users
		 */
		Session s1 = new Session("session1", "ChatService");
		DB.addUser(u1, s1);
		DB.addUser(u2, s1);
		DB.addUser(u2, s1);
		DB.removeUser(u1, s1);
		DB.removeUser(u2, s1);
		DB.removeUser(u2, s1);

		/**
		 * More sanity: 2 sessions, 3 users
		 */
		s1 = new Session("session1", "ChatService");
		Session s2 = new Session("session2", "ChatService");
		User u3 = new User(ad1, "user3");
		DB.addUser(u1, s1);
		DB.addUser(u2, s2);
		DB.addUser(u3, s1);
		DB.removeUser(u1, s1);
		DB.removeUser(u2, s1);
		DB.removeUser(u3, s1);

		DB.removeUser(u1, s2);
		DB.removeUser(u2, s2);
		DB.removeUser(u3, s2);	
	}
}
