/**
   chat: a TCP/IP chatting program
   Copyright (C) 2006  Idan Nof

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License
   as published by the Free Software Foundation; either version 2
   of the License, or (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

   Idan Nof can be reached via -

   email: idannof (at) hotmail (dot) com
   web  : http://www.geocities.com/idannof
   paper: 3 Brande st.,
		  Petach-Tikva, 49600,
		  Israel
*/
package Util;
/*
 * Created on 23/01/2006
 */

/**
 * a static wrapper for global configuration options
 */
public final class Config {
	/**
	 * Server name. The server hostname where clients should send requests to.
	 */
	public final static String server_host = "localhost";
	
	/**
	 * Server Port. The port on which the server listens to client connections.
	 */
	public final static int server_port = 4726;

	/**
	 * The maximum number of concurrent client connection requests, to the server.
	 */
	public final static int max_connections = 2;

	/**
	 * The maximum number of retries in socket connections
	 */
	public final static int max_socket_retries = 2;
}
